
#I do not think this function requires any packages but
# if it does not work, try librarying tidyverse

krippA <- function(x,y){
  "This function calculates Krippendorff's Alpha for 2 binary variables"
  confuse.table <- (table(x,y))
  correct_0 <- 2*(confuse.table[1,1])
  correct_1 <- 2*(confuse.table[2,2])
  disagree <- confuse.table[1,2]+ confuse.table[2,1]
  coincidence_row1 <- correct_0 + disagree
  coincidence_row2 <- correct_1 + disagree
  total <- coincidence_row1 + coincidence_row2
  # d_0 <- max(coincidence_matrix[1,2], coincidence_matrix[2,1])
  alpha <- 1 - (total -1)*(disagree / (coincidence_row1 * coincidence_row2))
  return(alpha)
}
